/***********************************************************************
    header
***********************************************************************/

.header{
    position: fixed;
    left: 0;
    top: 0;
    min-height: 50px;
    width: 100%;
    padding: 0px 15px;
    margin-bottom: 20px;
    position: relative;
    background-color: #66cc66;
    text-align: center;
    transition: 0.25s;
    z-index: 100;
}

/* logo */
.header .logo{
    display: inline-block;
    vertical-align: middle;
    height: 50px;
    padding: 15px 15px;
    margin-right: -4px;
    font-size: 18px;
    color: #fff;
    line-height: 20px;
    outline: none;
}

/* menu icon */
[data-btn='menu']{
    float: right;
    margin: 7px;
    width: 40px;
    height: 40px;
    background: transparent;
    position: relative;
    transition: 0.25s;
    cursor: pointer;

    display: none
}

[data-btn='menu'] div{
    height: 2px;
    width: 22px;
    background: #fff;
    position: absolute;
    top: 8px;
    opacity: 1;
    transition: 0.25s;
}
[data-btn='menu'] div:nth-child(2){top: 16px}
[data-btn='menu'] div:nth-child(3){top: 24px}
[data-btn='menu']:hover{background-color: rgb(255, 255, 255, 0.2)}

[data-btn='menu'][data-state="close"] > div:nth-child(1){transform: translateY(8px) rotate(45deg)}
[data-btn='menu'][data-state="close"] > div:nth-child(2){opacity: 0}
[data-btn='menu'][data-state="close"] > div:nth-child(3){transform: translateY(-8px) rotate(-45deg)}

/* menu */
.header .menu{
    display: inline-block;
    vertical-align: middle;
    margin: 0px;
    padding: 0px;
}

.header .menu li{
    background: transparent;
    display: inline-block;
    position: relative;
    color: #fff;
    transition: 0.25s;
    font-size: 14px;
    list-style: none;
    padding: 15px;
    cursor: pointer;
}

.header .menu > li[data-dropdown='1']{padding-right: 20px}

.header .menu > li[data-dropdown='1']:after{
    content: '\a';
    height: 0px;
    width: 0px;
    position: absolute;
    right: 5px;
    top: 50%;
    border-top: 5px solid #fff;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    transform: translateY(-50%);
}

.header .menu [data-dropdown='1'] ul{
    display: none;
}

/* hover */
.header .logo:hover,
.header .menu li:hover{
    background-color: #ed1b24;
}

@media screen and (max-width: 750px) {
    [data-btn='menu']{
        display: inline-block;
    } 
    .menu[data-state='collapsed']{
        display: none;
    }
}

/***********************************************************************
    old navbar
***********************************************************************/

.navbar-toggle{
    border-color: transparent !important;
    transition: 0.25s !important;
}

.navbar-toggle:hover{background-color: rgb(255 255 255 / 20%) !important}
.navbar-toggle:focus{background-color: rgb(255 255 255 / 20%) !important}

/* icon */
.navbar-toggle .icon-bar{
    background-color: #fff !important;
    opacity: 1;
    transform: none;
    transition: 0.25s !important;
}
.navbar-toggle[aria-expanded="true"] .icon-bar:nth-child(1){transform: translateY(6px) rotate(45deg)}
.navbar-toggle[aria-expanded="true"] .icon-bar:nth-child(2){opacity: 0;}
.navbar-toggle[aria-expanded="true"] .icon-bar:nth-child(3){transform: translateY(-6px) rotate(-45deg)}

.navbar-collapse{
    border: none !important;
}